Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Interface JcrQueryContext

    public interface JcrQueryContext

The context in which queries are executed.

Method Summary
`CancellableQuery` | `createExecutableQuery(QueryCommand query, PlanHints hints, Map<String,Object> variables)`
`Value` | `createValue(int propertyType, Object value)`
`NodeIterator` | `emptyNodeIterator()`
`ExecutionContext` | `getExecutionContext()`
`Node` | `getNode(QueryResults.Location location)`
`Schemata` | `getSchemata()`
`boolean` | `isLive()`
`void` | `recordDuration(long nanos, TimeUnit unit, String query, String language)`
`Node` | `store(String absolutePath, Name nodeType, String language, String statement)`

Method Detail

### isLive

    boolean isLive()

### getExecutionContext

    ExecutionContext getExecutionContext()

### getSchemata

    Schemata getSchemata()

### store

    Node store(String absolutePath,
               Name nodeType,
               String language,
               String statement)
               throws RepositoryException

  Throws:
    `RepositoryException`

### getNode

    Node getNode(QueryResults.Location location)
                 throws RepositoryException

  Throws:
    `RepositoryException`

### createValue

    Value createValue(int propertyType,
                      Object value)

### createExecutableQuery

    CancellableQuery createExecutableQuery(QueryCommand query,
                                           PlanHints hints,
                                           Map<String,Object> variables)
                                           throws RepositoryException

  Throws:
    `RepositoryException`

### emptyNodeIterator

    NodeIterator emptyNodeIterator()

### recordDuration

    void recordDuration(long nanos,
                        TimeUnit unit,
                        String query,
                        String language)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.